[jira] [Updated] (XBEAN-297) xbean-blueprint shall not import org.apache.aries.blueprint.ext.impl in its manifest

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Updated] (XBEAN-297) xbean-blueprint shall not import org.apache.aries.blueprint.ext.impl in its manifest

Romain Manni-Bucau (Jira)

     [ https://issues.apache.org/jira/browse/XBEAN-297?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Daniel Kulp updated XBEAN-297:
------------------------------
    Affects Version/s: 4.4

> xbean-blueprint shall not import org.apache.aries.blueprint.ext.impl in its manifest
> ------------------------------------------------------------------------------------
>
>                 Key: XBEAN-297
>                 URL: https://issues.apache.org/jira/browse/XBEAN-297
>             Project: XBean
>          Issue Type: Bug
>    Affects Versions: 4.4, 4.5
>            Reporter: Charlie Mordant
>            Priority: Blocker
>
> org.apache.aries.blueprint.ext.impl isn't exported by aries-blueprint (as it is an internal package), but xbean-blueprint imports it.
> So its impossible to bootstrap this jar.
> Either tell the aries community to export this package, either fix this issue...
> Best Regards,



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)